Bug 150082 - environment of init process mangled ?
Summary: environment of init process mangled ?
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: SysVinit (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: i686 Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-03-02 10:03 UTC by Antonio Dolcetta
Modified: 2014-03-17 02:52 UTC (History)
2 users (show)

Fixed In Version: RHBA-2005-510
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 20:00:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:510 qe-ready SHIPPED_LIVE SysVinit bug fix update 2005-09-28 04:00:00 UTC

Description Antonio Dolcetta 2005-03-02 10:03:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041116 Firefox/1.0

Description of problem:
running cat /proc/1/environ | tr "\000" "\n" returns:

OME=/
TERM=linux

the H charachter from the HOME variable is missing
I'm not sure what can cause this nor if it has any adverse effects,
just wanted to let you know

this is reproducible on my machine on every reboot



Version-Release number of selected component (if applicable):
SysVinit-2.85-4.2

How reproducible:
Always

Steps to Reproduce:
run the command:
cat /proc/1/environ | tr "\000" "\n"
    

Additional info:

Comment 1 Bill Nottingham 2005-03-02 16:39:08 UTC
See:
  https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=125172 

Comment 9 Red Hat Bugzilla 2005-09-28 20:00:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-510.html



Note You need to log in before you can comment on or make changes to this bug.